%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major	0
%define gmajor	1.0
%define api	1.0
%define libname	%mklibname %{name} %{api} %{major}
%define devname	%mklibname %{name} -d
%define girname	%mklibname %{name}-gir %{gmajor}

Name:           gitg
Version:        3.14.1
%define subrel	1
Release:        %mkrel 1
Summary:        GTK+ graphical interface for the git revision control system
Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            http://trac.novowork.com/gitg
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gitg-3.13.91-webkit2.patch
BuildRequires:  intltool
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gio-2.0) >= 2.38
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.38
BuildRequires:	pkgconfig(glib-2.0) >= 2.38
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.38
BuildRequires:	pkgconfig(gobject-2.0) >= 2.38
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.10.1
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gthread-2.0) >= 2.38
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.10
BuildRequires:	pkgconfig(gtksourceview-3.0) >= 3.10
BuildRequires:	pkgconfig(gtkspell3-3.0) >= 3.0.3
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libgit2-glib-1.0) >= 0.0.20
BuildRequires:	pkgconfig(libpeas-1.0) >= 1.5.0
BuildRequires:	pkgconfig(libpeas-gtk-1.0) >= 1.5.0
BuildRequires:	pkgconfig(pygobject-3.0) >= 3.0.0
BuildRequires:	pkgconfig(webkit2gtk-4.0)
BuildRequires:	vala-tools
BuildRequires:	python3
Requires:       git-core
Requires:       gsettings-desktop-schemas
Requires:	python3-gobject3
Requires:	typelib(Gitg)
Requires:	typelib(Peas)
Requires:	typelib(PeasGtk)

%description
gitg is a GitX clone for GNOME/gtk+. It aims at being a small, fast and
convenient tool to visualize git history and actions that benefit from a
graphical presentation.

%package -n %{libname}
Summary:        Backend Library for gitg
Group:          System/Libraries

%description -n %{libname}
libgitg is a GObject based library that provides an easy access to git methods
through GObject based methods

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{name} < 0.3.2-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%{name} < 0.3.2-2

%description -n %{devname}
This package contains development files for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--disable-schemas-compile \
	--disable-rpath \
	--enable-compile-warnings=minimum
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/glib-2.0/schemas/org.gnome.gitg.gschema.xml
%{_datadir}/applications/%{name}.desktop
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/
%{_libdir}/gitg/plugins/diff.plugin
%{_libdir}/gitg/plugins/files.plugin
%{_libdir}/gitg/plugins/libdiff.so
%{_libdir}/gitg/plugins/libfiles.so
%{_datadir}/appdata/gitg.appdata.xml
%{py3_platsitedir}/gi/overrides/*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*
%{_libdir}/lib%{name}-ext-%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Gitg-%{gmajor}.typelib
%{_libdir}/girepository-1.0/GitgExt-%{gmajor}.typelib

%files -n %{devname}
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/libgitg-ext-%{api}.so
%{_libdir}/pkgconfig/lib%{name}-%{api}.pc
%{_libdir}/pkgconfig/libgitg-ext-%{api}.pc
%{_includedir}/lib%{name}-%{api}/
%{_includedir}/libgitg-ext-%{api}/
%{_datadir}/gir-1.0/Gitg-%{gmajor}.gir
%{_datadir}/gir-1.0/GitgExt-%{gmajor}.gir
%{_datadir}/vala/vapi/libgitg-%{api}.vapi
%{_datadir}/vala/vapi/libgitg-ext-%{api}.vapi


%changelog
* Sat Aug 22 2015 wally <wally> 3.14.1-1.1.mga5
+ Revision: 868179
- add missing requires for typelib(Peas) and typelib(PeasGtk) (mga#16612)

* Wed Dec 24 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 805421
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 749290
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 730898
- new version 3.14.0

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

  + fwang <fwang>
    - revert to webgtk2 3.0

* Thu Aug 28 2014 fwang <fwang> 3.13.91-2.mga5
+ Revision: 669048
- add python3 plugin
- include correct api of webkit2
- br python3
- bump req

* Wed Aug 20 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 666062
- new version 3.13.91

* Wed Aug 20 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665972
- new version 3.13.90

* Mon Jun 30 2014 ovitters <ovitters> 0.3.3-1.mga5
+ Revision: 641590
- new version 0.3.3

* Sat Mar 08 2014 wally <wally> 0.3.2-2.mga5
+ Revision: 601199
- own some unowned dirs
- split out gir typelibs
- move vala files to devel pkg

* Tue Feb 04 2014 tv <tv> 0.3.2-1.mga5
+ Revision: 582570
- new vala release

  + wally <wally>
    - new version 0.3.2

* Sat Oct 19 2013 umeabot <umeabot> 0.2.7-4.mga4
+ Revision: 533974
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 wally <wally> 0.2.7-3.mga4
+ Revision: 475872
- fix build with latest gtk
- drop glade catalog

* Tue May 28 2013 fwang <fwang> 0.2.7-2.mga4
+ Revision: 429064
- rebuild for new gtksourceview

* Thu May 23 2013 wally <wally> 0.2.7-1.mga4
+ Revision: 425045
- new version 0.2.7

* Fri Mar 29 2013 wally <wally> 0.2.6-1.mga3
+ Revision: 406473
- new version 0.2.6

* Sat Jan 12 2013 umeabot <umeabot> 0.2.5-3.mga3
+ Revision: 351582
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 wally <wally> 0.2.5-2.mga3
+ Revision: 298988
- require git-core instead of git (mga#7607)
- fix source url

  + tv <tv>
    - clean spec

* Fri Sep 02 2011 wally <wally> 0.2.5-1.mga2
+ Revision: 137897
- imported package gitg

